<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart" class="fuenteMini">

        <h:form id="idFormCMMyT">
            <style>
                .jpanel{

                    border: 1px solid #d4ccb0;
                    background-color: #ece8da;
                    border-radius: 10px;
                }

                .jpanel thead tr th{

                    background-color: #459e00;
                    color: #fff;
                    border: 1px solid #327e04;
                    border-radius: 10px 10px 0 0 !important;
                }

                .jpanel tbody tr td{

                    background-color: #f5f3e5;
                    font-weight: bolder;
                }

                .jpanel tbody tr:last-child td:first-child{

                    border-radius: 0 0 0 10px;
                }

                .jpanel tbody tr:last-child td:last-child{

                    border-radius: 0 0 10px 0;
                }
            </style>           
            
            <h:outputText value="SIGEVI" style="font-weight: bold"/>
                 <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
                  <h:outputText value="Actualiza Datos" />
            <br/><br/>


            <div align="center">
                <p:fileUpload 
                    
                    mode="advanced"
                    auto="true"                    
                    id="idArchivoSigevi"
                    class="upload"
                    style="width: 30%; margin-top: 10px; margin-bottom: 10px;"
                    fileUploadListener="#{rhNomnSIGEVIMB.handleFileUpload}"
                    label="Seleccionar Archivo"
                    update="pnlMsjErrSigevi "
                    invalidFileMessage="El archivo no es valido"
                    process="@this"
                    allowTypes="/(\.|\/)(xls|xlsx|csv)$/"/>
            </div>

            <br/>
            
            <div align="center" >               
                <p:commandButton id="btnReturn" style="font-size: 70%"                           
                            value="REGRESAR">
                        <p:ajax listener="#{rhNomnSIGEVIMB.regresar()}" 
                        process="@this" immediate="true" update="@(form) "   />
            </p:commandButton>                                                      
                </div>
            
            <br/>
            
            
            <!-- M E N S A J E   D E   E R R O R -->
            <h:panelGrid id="pnlMsjErrSigevi" columns="1" cellpadding="5" columnClasses="centered7"
                         style="font-size: 100%;width: 80%;padding-left: 90px" rendered="#{rhNomnSIGEVIMB.flagShowInpTxtArea}">
                <p >Errores en estructura del archivo:</p>
                <p:inputTextarea disabled="true" value="#{rhNomnSIGEVIMB.strMsjErrCampos}"  cols="129" rows="11" />
            </h:panelGrid>
            
           
            
        </h:form>



    </ui:define>
</ui:composition>